
<!DOCTYPE html>
<html>

<head>
<title>Minimal tQuery Page</title>
<script src="../libraries/tquery-master/build/tquery-bundle.js" type="text/javascript"></script>
<script src="../libraries/tquery-master/vendor/threex/THREEx.KeyboardState.js" type="text/javascript"></script>
<script src="../libraries/tquery-master/plugins/keyboard/tquery.keyboard.js" type="text/javascript"></script>


</head>
<body>
<div id="viewPort" style="width:400px; heigh:400px;">
</div>
<script>

	var viewPort = document.getElementById('viewPort');
    var world = tQuery.createWorld().appendTo(viewPort).boilerplate({cameraControls	: false}).start();
    world.tCamera().position.set(70, 40, 70);
    world.tCamera().lookAt(world.tScene().position);
    world.tRenderer().shadowMapEnabled   = true;
	world.tRenderer().shadowMapSoft       = true;
	world.tRenderer().setClearColor( 0xffffff, 1 );
	world.enablePhysics();
	tQuery.createDirectionalLight().addTo(world)
	.position(20, 40, -15).color(0xffffff)
	.castShadow(true).shadowMap(512*2,512*2)
	.shadowCamera(60, -60, 60, -60, 20, 200)
	.shadowDarkness(0.7).shadowBias(.002);

    var torus = tQuery.createTorus().scale(1.5).addTo(world);
    var sphere = tQuery.createSphere().scale(1.3).position(1,0,0).addTo(world);

    var plane = tQuery.createPlane()
    world.loop().hook(function(deltaTime, present){
    	var angle = present*Math.PI;
    	sphere.position(Math.cos(angle),0, Math.sin(angle));
	    var keyboard  = tQuery.keyboard();   // get keyboard instance
	    if( keyboard.pressed("s") ){      // if the key 's' is pressed, change the skin
	     	torus.position(1,0,0);
	    }
	    else if(keyboard.pressed("d")){
	    	torus.position(-1,0,0);
	    }
	    else if(keyboard.pressed("f")){
	    	torus.position(0,0,0);	
	    }

	});
</script>



</div>
</body>
</html>